:root {
    --font: 'Charter';
    --font_heading: 'Recursive Mono Casual';

    /* rainbow colours */
    --colour_dotted-pattern: black;
    --palest-red: hsl(0, 100%, 97.3%);
    --palest-orange: hsl(39, 100.0%, 97.3%);
    --palest-yellow: hsl(60, 100.0%, 97.3%);
    --palest-green: hsl(120, 100.0%, 97.3%);
    --palest-blue: hsl(240, 100.0%, 97.3%);
    --palest-indigo: hsl(275, 100.0%, 97.3%);
    --palest-violet: hsl(275, 100.0%, 98.6%);
    --rainbow-white-level: 93%;
    --palest-rainbow: linear-gradient(
        to left,
        white var(--rainbow-white-level) ,
        var(--palest-red) 93% 94%,
        var(--palest-yellow) 94% 95%,
        var(--palest-orange) 95% 96%,
        var(--palest-green) 96% 97%,
        var(--palest-blue) 97% 98%,
        var(--palest-indigo) 98% 99%
    );
    --link-colour: cornflowerblue;
    --max-width: 38rem;

    /* layout */
}

html {
    font-family: var(--font);
    font-size: var(--font-root);
}

body {
    background: var(--palest-rainbow);
}

h2 {
    font-family: var(--font_heading);
}

main {
    max-width: var(--max-width);
    margin-left: calc(var(--space-xxxl) * 1.68);
    margin-top: var(--space-xl);
    line-height: 1.33;
}

#invocation {
    padding: var(--basic-padding);
    text-align: right;
    font-size: var(--font-xxs);
    font-style: italic;
}

header {
    width: 100vw;
    background: cornflowerblue;
    margin: 0;
    padding: var(--font-xxs);
}

h1 {
    font-size: calc(var(--font-xl));
    font-family: var(--font_heading);
    font-weight: 200;
    display: table;
    color: black;
    border-radius: 10px;
    margin: auto;
}

.text-width {
    /* background: lavender; */
    max-width: calc(var(--readable-width) + var(--space-xl));

}

figure {
    padding: 0;
    margin: 0;
}

#hello {
    margin-bottom: var(--space-xl);
}

.bold-border {
    border: 8px ridge cornflowerblue;
    border-radius: var(--font-xxs);
}

.split {
    display: flex;
}

.split .words {
    color: black;
    padding: var(--basic-padding);
    border-radius: 10px;
    max-width: 55%;
}

.split figure {
    max-width: 45%;
    /* background: lavender; */
}

figure img {
    max-width: 100%;
}

a {
    color: var(--link-colour);
    text-decoration: none;
}

.hidden {
    display: none;
}

.notice {
    margin: auto;
    font-size: var(--font-md);
    text-align: right;
    /* border: 4px ridge lime; */
    /* padding: 0.25rem; */
}

.right {
    text-align :right;
}

.email {
    display: block;
    font-size: var(--font-xs);
    padding: var(--space-xxxs);
    padding-left: 0;
    font-family: var(--font_heading);

}

section#works {
    margin-bottom: var(--space-xxl);
    font-size: var(--font-xs);
    font-family: var(--font_heading);
}
section#works h2 {
    /* padding: 0.8rem; */

}
ul#works-list {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    margin-left: -1rem;
}
ul#works-list a {
    display: block;
    width: var(--book-width);
    height: var(--book-height);
    border-radius: 5px;
    border: 1px solid gray;
    background: var(--colour_bg);
    color: var(--colour_text);
    text-decoration: none;
    position: relative;
}

ul#works-list li {
    list-style-type: none;
    text-align: right;
    font-weight: 200;
    width: var(--book-width);
    height: var(--book-height);
    margin: 1rem;
}

ul#works-list article {
    display: flex;
    flex-flow: column;
    justify-content: space-between;
    height: 100%;
}

ul#works-list h2 {
    font-weight: 200;
    font-size: var(--font-xs);
    border-bottom: 1px solid var(--colour_accent);
    padding-bottom: 0.25rem;
    margin: 1.25rem 0.5rem 1rem 0.5rem;
}

ul#works-list p.description {
    padding: 0 1rem 0 1rem;
    text-align: left;
    display: none;
    font-size: var(--font-xxs);
}

ul#works-list article:hover p.description {
    display: inline;
}
span.dotted-pattern {
    margin: 0;
    background: transparent;
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0.75rem;
    left: 0.75rem;
    background-image: radial-gradient(var(--colour_dotted-pattern) 15%, transparent 16%), radial-gradient(var(--colour_dotted-pattern) 15%, transparent 16%);
    background-size: 7px 8px;
    background-position: 11px 11px, 14px 14px;
    z-index: -1;
}


@media(max-width: 800px) {
    :root {
        --font-root: 22px;
        --rainbow-white-level: 100%;
    }
    main {
        margin: var(--font-xxs);
        max-width: 35rem;
    }

}

/* to get rid of the flash of unstyled content.
 * this negates the values we put at the top of home/index.html
 **/
html {
    visibility: visible;
    opacity: 1;
}
